# Simulacin del sistema
# masa-resorte-amortiguador
#
# Fraga 30/10/2012
use strict;

my $m = 0.1;
my $b = 0.1;
my $k = 0.4;

# $m = 1;
# $b = 1.2;
# $k = 2;

my $dt = 1.0/30;

my $lambda = $b/(2*$m);
my $w2 = $k/$m;
my $F = 2.0/$m;;

my $c2 = -$F/$w2;
my $k1 = sqrt( $w2 - $lambda*$lambda );

my $c1 = $lambda*$c2/$k1;

print "0 0\n";
for( my $i=1; $i<300; $i++ ) {
	my $t = $i * $dt;

	my $x = exp(-$lambda*$t)*( $c1*sin($t*$k1) + $c2*cos($t*$k1) ) + $F/$w2;

	print "$t $x\n";
}
